org.bdgenomics.adam.cli

# CompareADAM

#### object CompareADAM extends ADAMCommandCompanion with Serializable

CompareADAM is a tool for pairwise comparison of ADAM files (or merged sets of ADAM files, see the note on the -recurse{1,2} optional parameters, below).

The canonical use-case for CompareADAM involves a single input file run through (for example) two different implementations of the same pipeline, producing two comparable ADAM files at the end.

CompareADAM will load these ADAM files and perform a read-name-based equi-join. It then computes one or more metrics (embodied as BucketComparisons values) across the joined records, as specified on the command-line, and aggregates each metric into a histogram (although, this can be modified if other aggregations are required in the future) and outputs the resulting histograms to a specified directory as text files.

There is an R script in the adam-scripts module to process those outputs into a figure.

The available metrics to be calculated are defined, by name, in the DefaultComparisons object.

A subsequent tool like FindReads can be used to track down which reads give rise to particular aggregated bins in the output histograms, if further diagnosis is needed.

Linear Supertypes
Serializable, Serializable, ADAMCommandCompanion, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompareADAM
2. Serializable
3. Serializable
4. ADAMCommandCompanion
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type GeneratedResults[A] = RDD[(String, Seq[A])]

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(cmdLine: Array[String]): ADAMCommand

   Definition Classes
     CompareADAM → ADAMCommandCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val commandDescription: String

   Definition Classes
     CompareADAM → ADAMCommandCompanion

10. #### val commandName: String

    Definition Classes
      CompareADAM → ADAMCommandCompanion

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def main(cmdLine: Array[String]): Unit

    Definition Classes
      ADAMCommandCompanion

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def parseGenerators(names: Seq[String]): Seq[BucketComparisons[Any]]

22. #### def parseGenerators(nameList: String): Seq[BucketComparisons[Any]]

23. #### def setupTraversalEngine(sc: SparkContext, input1Path: String, recurse1: String, input2Path: String, recurse2: String, generator: BucketComparisons[Any]): ComparisonTraversalEngine

    See also

      CompareADAMArgs.recurse1, CompareADAMArgs.recurse2

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from ADAMCommandCompanion

### Inherited from AnyRef

### Inherited from Any

### Ungrouped